package com.jty.wsxt.infrastructure.code.sms;

import com.aliyuncs.exceptions.ClientException;
import com.jty.wsxt.infrastructure.support.BusinessException;
import com.jty.wsxt.infrastructure.support.ResultCode;
import lombok.extern.slf4j.Slf4j;

/**
 * 手机验证码默认实现
 *
 * @author Jason
 * @since 2019/1/7 17:35
 */
@Slf4j
public class DefaultSmsCodeSender implements SmsCodeSender {

	@Override
	public void send(String mobile, String code) {
		System.out.println("向手机"+mobile+"发送短信验证码"+code);
		try {
			log.info("向手机{}发送短信验证码:{}",mobile,code);
			SmsUtil.sendSms(mobile,code);
		} catch (ClientException e) {
			throw new BusinessException(ResultCode.SYSTEM_INNER_ERROR);
		}
	}

}
