package com.jty.wsxt.infrastructure.security.embed;

import org.springframework.security.authentication.AbstractAuthenticationToken;
import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;

/**
 * 嵌入认证Token
 *
 * @author Jason
 * @since 2019/2/19 10:14
 */
public class EmbedAuthenticationToken extends AbstractAuthenticationToken {

    private final String principal;

    private Object credentials;

    private Integer schoolId;

    public EmbedAuthenticationToken(Object principal){
        super(null);
        this.principal = (String)principal;
        setAuthenticated(false);
    }

    public EmbedAuthenticationToken(String principal,Collection<? extends GrantedAuthority> authorities){
        super(authorities);
        this.principal=principal;
        super.setAuthenticated(true);
    }

    @Override
    public Object getCredentials() {
        return "embed";
    }

    @Override
    public String getPrincipal() {
        return this.principal;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public void setAuthenticated(boolean isAuthenticated) throws IllegalArgumentException {
        if (isAuthenticated) {
            throw new IllegalArgumentException(
                    "Cannot set this token to trusted - use constructor which takes a GrantedAuthority list instead");
        }

        super.setAuthenticated(false);
    }
}
