package com.jty.wsxt.interfaces.controller;

import com.jty.wsxt.application.ApplicationRegistry;
import com.jty.wsxt.domain.model.auth.history.AuthUserHistory;
import com.jty.wsxt.infrastructure.support.Result;
import com.jty.wsxt.infrastructure.util.PoCastUtils;
import com.jty.wsxt.interfaces.dto.AuthUserHistoryDto;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * AuthUserController
 *
 * @author Manjiajie
 * @since 2019-6-13 16:13:46
 */
@RestController
public class AuthUserController {
    @GetMapping("/history/user/{userId}")
    public Result getHistoryByManagerId(AuthUserHistoryDto authUserHistoryDto, @PathVariable Integer userId){
        authUserHistoryDto.setManagerId(userId);
        Page<AuthUserHistory> userHistoryPage = ApplicationRegistry.authUserServer().findHistoryByManagerId(authUserHistoryDto);
        return Result.success(PoCastUtils.poPageCastToDto(userHistoryPage, AuthUserHistoryDto.class));
    }
}
