package com.jty.wsxt.application.service;

import com.jty.wsxt.domain.model.paper.Paper;
import com.jty.wsxt.interfaces.dto.PaperDto;
import com.jty.wsxt.interfaces.dto.PaperSearchDto;
import com.jty.wsxt.interfaces.dto.PaperSearchForCreatorDto;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * PaperService
 *
 * @author Manjiajie
 * @since 2019-6-21 11:35:20
 */
public interface PaperService {
    /**
     * 新增试卷
     * @param paperSearchDto paperDto
     */
    void addPaper(PaperSearchDto paperSearchDto);

    /**
     *获取试卷列表
     * @param paperSearchDto paperSearchDto
     * @return page
     */
    Page<Paper> findPagePaper(PaperSearchDto paperSearchDto);

    /**
     * 删除试卷
     * @param paperId paperId
     */
    void deletePaper(Integer paperId);

    /**
     *获取个人上传试卷
     * @param paperSearchDto paperSearchDto
     * @return page
     */
    Page<Paper> findPagePaperByCreatorId(PaperSearchForCreatorDto paperSearchDto);

    /**
     * 根据id获取试卷详情
     * @param id id
     * @return paper
     */
    Paper findPaperDetailById(Integer id);

    /**
     * 获取答案
     * @param id id
     * @return List
     */
    List<String> getAnswerById(Integer id);

    /**
     * 获取第一次反馈
     * @param id id
     * @return List
     */
    List<String> getFirstFeedbackById(Integer id);

    /**
     * 获取第二次反馈
     * @param id id
     * @return List
     */
    List<String> getSecondFeedbackById(Integer id);

    void firstFeedback(PaperSearchDto paperSearchDto);

    void secondFeedback(PaperSearchDto paperSearchDto);
}
