package com.jty.wsxt.interfaces.dto;

import lombok.Data;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;

/**
 * 分页查询基础数据Dto
 *
 * @author Manjiajie
 * @since 2019-6-13 08:46:19
 */
@Data
public class PageableDto {

    Integer pageNumber=0;

    Integer pageSize=20;

    String orderBy="id";

    String direction="asc";

    public Pageable getPageable(){
        if(pageNumber<1){
            pageNumber=1;
        }
        if(pageSize>50||pageSize<1){
            pageSize=20;
        }
        if("desc".equalsIgnoreCase(direction)){
            return PageRequest.of(pageNumber-1, pageSize, Sort.by(Sort.Order.desc(orderBy)));
        }else  {
            return PageRequest.of(pageNumber-1, pageSize, Sort.by(Sort.Order.asc(orderBy)));
        }
    }

    public Integer getFrom(){
        if(pageNumber>1){
            return  (pageNumber-1)*pageSize;
        }
        else {
            return 0;
        }
    }

}
